unit About;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, StdCtrls,LCLIntf;

type

  { TForm4 }

  TForm4 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    Label1: TLabel;
    WrittenByLabel: TLabel;
    VersionLabel: TLabel;
    FileVersionText: TLabel;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure Label1MouseEnter(Sender: TObject);
    procedure Label1MouseLeave(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form4: TForm4; 

implementation
uses
  vinfo;

{ TForm4 }

procedure TForm4.FormShow(Sender: TObject);
Var
  Info:     TVersionInfo;
Begin
  // grab the build number .... save it to BuildNum
  Info := TVersionInfo.Create;
  Info.Load(HINSTANCE);
  FileVersionText.Caption:=IntToStr(Info.FixedInfo.FileVersion[0])+'.'+
      IntToStr(Info.FixedInfo.FileVersion[1])+'.'+
      IntToStr(Info.FixedInfo.FileVersion[2])+'.'+
      IntToStr(Info.FixedInfo.FileVersion[3]);
  Info.Free;
       //ShowMessage(
       //          'Serial Library verion: ' +ser.GetVersion + sLineBreak +
       //          '' );

end;

procedure TForm4.Label1Click(Sender: TObject);
begin
  OpenURL(Label1.Caption);
end;

procedure TForm4.Label1MouseEnter(Sender: TObject);
begin
  Label1.Cursor := crHandPoint;
  Label1.Font.Color := clBlue;
  Label1.Font.Style := [fsUnderline];
  if Pos('http://www.', Label1.Caption) = 0 then
    Label1.Caption := 'http://www.' + Label1.Caption;
end;

procedure TForm4.Label1MouseLeave(Sender: TObject);
begin
  Label1.Font.Style := [];
  if Pos('http://www.', Label1.Caption) > 0 then
    Label1.Caption := Copy(Label1.Caption, Pos('http://www.', Label1.Caption) + Length('http://www.'), Length(Label1.Caption));

end;

procedure TForm4.Button1Click(Sender: TObject);
begin
  Form4.Close;
end;


initialization
  {$I about.lrs}

end.

